PHP ��U
前一頁 |  | 下一頁

# date_sunrise

(PHP 5)

date_sunrise -- Returns time of sunrise for a given day and location

## Description

mixed date_sunrise ( int timestamp [, int format [, float latitude [, float longitude [, float zenith [, float gmt_offset]]]]] )

date_sunrise() returns the sunrise time for a given day (specified as a timestamp) and location.

## Parameters

timestamp

  The timestamp of the day from which the sunrise time is taken.

format

  表格 1. format constants

  constant | description | example
  --- | --- | ---
  SUNFUNCS_RET_STRING | returns the result as string | 16:46
  SUNFUNCS_RET_DOUBLE | returns the result as float | 16.78243132
  SUNFUNCS_RET_TIMESTAMP | returns the result as integer (timestamp) | 1095034606

latitude

  Defaults to North, pass in a negative value for South. See also: date.default_latitude

longitude

  Defaults to East, pass in a negative value for West. See also: date.default_longitude

zenith

  Default: date.sunrise_zenith

gmtoffset

  Specified in hours.

## Return Values

Returns the sunrise time in a specified format on success, or `FALSE` on failure.

## Errors/Exceptions

Every call to a date/time function will generate a `E_NOTICE` if the time zone is not valid, and/or a `E_STRICT` message if using the system settings or the TZ environment variable. See also date_default_timezone_set()

## ChangeLog

Version | Description
--- | ---
5.1.0 | Now issues the `E_STRICT` and `E_NOTICE` time zone errors.

## �d��

範例 1. date_sunrise() example
`<?php /* calculate the sunrise time for Lisbon, Portugal Latitude: 38.4 North Longitude: 9 West Zenith ~= 90 offset: +1 GMT */ echo date("D M d Y"). ', sunrise time : ' .date_sunrise(time(), SUNFUNCS_RET_STRING, 38.4, -9, 90, 1); ?>`
The above example will output something similar to:
    Mon Dec 20 2004, sunrise time : 08:54

## �Ѧ�

date_sunset()

前一頁 | 內容 | 下一頁
date_default_timezone_set | 上一層 | date_sunset